package com.yonge.cooleshow.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import io.swagger.annotations.ApiModelProperty;

/**
 * 对应数据库表(holidays_festivals):
 */
public class HolidaysFestivals {

	@ApiModelProperty(value = "编号",required = false)
	private Integer id;
	
	@ApiModelProperty(value = "年份",required = false)
	private Integer year;
	
	@ApiModelProperty(value = "节假日json",required = false)
	private String holidaysFestivalsJson;
	
	@ApiModelProperty(value = "创建时间",required = false)
	private java.util.Date createTime;
	
	@ApiModelProperty(value = "修改时间",required = false)
	private java.util.Date updateTime;
	
	@ApiModelProperty(value = "创建人",required = false)
	private Long createBy;
	
	@ApiModelProperty(value = "修改人",required = false)
	private Long updateBy;
	
	public HolidaysFestivals setId(Integer id){
		this.id = id;
		return this;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public HolidaysFestivals setYear(Integer year){
		this.year = year;
		return this;
	}
	
	public Integer getYear(){
		return this.year;
	}
			
	public HolidaysFestivals setHolidaysFestivalsJson(String holidaysFestivalsJson){
		this.holidaysFestivalsJson = holidaysFestivalsJson;
		return this;
	}
	
	public String getHolidaysFestivalsJson(){
		return this.holidaysFestivalsJson;
	}
			
	public HolidaysFestivals setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
		return this;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public HolidaysFestivals setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
		return this;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public HolidaysFestivals setCreateBy(Long createBy){
		this.createBy = createBy;
		return this;
	}
	
	public Long getCreateBy(){
		return this.createBy;
	}
			
	public HolidaysFestivals setUpdateBy(Long updateBy){
		this.updateBy = updateBy;
		return this;
	}
	
	public Long getUpdateBy(){
		return this.updateBy;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
